// PrtTViewView.h : interface of the CPrtTViewView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PRTTVIEWVIEW_H__27B3BD22_93FF_11D2_9D02_00A0C95DB5CD__INCLUDED_)
#define AFX_PRTTVIEWVIEW_H__27B3BD22_93FF_11D2_9D02_00A0C95DB5CD__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CPrtTViewView : public CTreeView
{
protected: // create from serialization only
	CPrtTViewView();
	DECLARE_DYNCREATE(CPrtTViewView)

// Attributes
public:
	CPrtTViewDoc* GetDocument();
	CTreeCtrl* Tree;

protected:
	CImageList m_treeicon;

private:
	CRect rcBounds;
	int m_nCharWidth;
	int m_nRowHeight;
	int m_nRowsPerPage;
	HANDLE hDIB;
	WINDOWPLACEMENT WndPlace;

// Operations
public:
	void PrintHeadFoot(CDC *pDC, CPrintInfo *pInfo);
	HANDLE DDBToDIB( CBitmap& bitmap, DWORD dwCompression, CPalette* pPal );

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPrtTViewView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo = NULL);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPrtTViewView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CPrtTViewView)
	afx_msg void OnEditExpandall();
	afx_msg void OnEditCollapseall();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in PrtTViewView.cpp
inline CPrtTViewDoc* CPrtTViewView::GetDocument()
   { return (CPrtTViewDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PRTTVIEWVIEW_H__27B3BD22_93FF_11D2_9D02_00A0C95DB5CD__INCLUDED_)
